Jsr310ConvertersConfiguration (Grails 5.3.2)

Package: org.grails.databinding.converters

## [Groovy] Class Jsr310ConvertersConfiguration

- org.grails.databinding.converters.Jsr310ConvertersConfiguration

-     @org.springframework.context.annotation.Configuration
      class Jsr310ConvertersConfiguration
      extends java.lang.Object

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `Jsr310ConvertersConfiguration.1` |
    `class` | `Jsr310ConvertersConfiguration.10` |
    `class` | `Jsr310ConvertersConfiguration.11` |
    `class` | `Jsr310ConvertersConfiguration.12` |
    `class` | `Jsr310ConvertersConfiguration.13` |
    `class` | `Jsr310ConvertersConfiguration.14` |
    `class` | `Jsr310ConvertersConfiguration.15` |
    `class` | `Jsr310ConvertersConfiguration.16` |
    `class` | `Jsr310ConvertersConfiguration.17` |
    `class` | `Jsr310ConvertersConfiguration.18` |
    `class` | `Jsr310ConvertersConfiguration.19` |
    `class` | `Jsr310ConvertersConfiguration.2` |
    `class` | `Jsr310ConvertersConfiguration.20` |
    `class` | `Jsr310ConvertersConfiguration.21` |
    `class` | `Jsr310ConvertersConfiguration.3` |
    `class` | `Jsr310ConvertersConfiguration.4` |
    `class` | `Jsr310ConvertersConfiguration.5` |
    `class` | `Jsr310ConvertersConfiguration.6` |
    `class` | `Jsr310ConvertersConfiguration.7` |
    `class` | `Jsr310ConvertersConfiguration.8` |
    `class` | `Jsr310ConvertersConfiguration.9` |
    `class` | `Jsr310ConvertersConfiguration.CustomDateBindingEditor` |
    `class` | `Jsr310ConvertersConfiguration.Jsr310DateValueConverter` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.Set<java.lang.String>` | `formatStrings`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Jsr310ConvertersConfiguration ()`
    `Jsr310ConvertersConfiguration (DataBindingConfigurationProperties configurationProperties)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `ValueConverter` | `instantStringValueConverter()`
    `` | `ValueConverter` | `instantValueConverter()`
    `` | `FormattedValueConverter` | `localDateConverter()`
    `` | `TypedStructuredBindingEditor` | `localDateStructuredBindingEditor()`
    `` | `FormattedValueConverter` | `localDateTimeConverter()`
    `` | `TypedStructuredBindingEditor` | `localDateTimeStructuredBindingEditor()`
    `` | `ValueConverter` | `localDateTimeValueConverter()`
    `` | `ValueConverter` | `localDateValueConverter()`
    `` | `FormattedValueConverter` | `localTimeConverter()`
    `` | `TypedStructuredBindingEditor` | `localTimeStructuredBindingEditor()`
    `` | `ValueConverter` | `localTimeValueConverter()`
    `` | `FormattedValueConverter` | `offsetDateTimeConverter()`
    `` | `TypedStructuredBindingEditor` | `offsetDateTimeStructuredBindingEditor()`
    `` | `ValueConverter` | `offsetDateTimeValueConverter()`
    `` | `FormattedValueConverter` | `offsetTimeConverter()`
    `` | `TypedStructuredBindingEditor` | `offsetTimeStructuredBindingEditor()`
    `` | `ValueConverter` | `offsetTimeValueConverter()`
    `` | `ValueConverter` | `periodValueConverter()`
    `` | `FormattedValueConverter` | `zonedDateTimeConverter()`
    `` | `TypedStructuredBindingEditor` | `zonedDateTimeStructuredBindingEditor()`
    `` | `ValueConverter` | `zonedDateTimeValueConverter()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.util.Set<java.lang.String> formatStrings

  - ### Constructor Detail

    - #### Jsr310ConvertersConfiguration()

    - #### @javax.inject.Inject Jsr310ConvertersConfiguration(DataBindingConfigurationProperties configurationProperties)

  - ### Method Detail

    - #### @org.springframework.context.annotation.Bean ValueConverter instantStringValueConverter()

    - #### @org.springframework.context.annotation.Bean ValueConverter instantValueConverter()

    - #### @org.springframework.context.annotation.Bean FormattedValueConverter localDateConverter()

    - #### @org.springframework.context.annotation.Bean TypedStructuredBindingEditor localDateStructuredBindingEditor()

    - #### @org.springframework.context.annotation.Bean FormattedValueConverter localDateTimeConverter()

    - #### @org.springframework.context.annotation.Bean TypedStructuredBindingEditor localDateTimeStructuredBindingEditor()

    - #### @org.springframework.context.annotation.Bean ValueConverter localDateTimeValueConverter()

    - #### @org.springframework.context.annotation.Bean ValueConverter localDateValueConverter()

    - #### @org.springframework.context.annotation.Bean FormattedValueConverter localTimeConverter()

    - #### @org.springframework.context.annotation.Bean TypedStructuredBindingEditor localTimeStructuredBindingEditor()

    - #### @org.springframework.context.annotation.Bean ValueConverter localTimeValueConverter()

    - #### @org.springframework.context.annotation.Bean FormattedValueConverter offsetDateTimeConverter()

    - #### @org.springframework.context.annotation.Bean TypedStructuredBindingEditor offsetDateTimeStructuredBindingEditor()

    - #### @org.springframework.context.annotation.Bean ValueConverter offsetDateTimeValueConverter()

    - #### @org.springframework.context.annotation.Bean FormattedValueConverter offsetTimeConverter()

    - #### @org.springframework.context.annotation.Bean TypedStructuredBindingEditor offsetTimeStructuredBindingEditor()

    - #### @org.springframework.context.annotation.Bean ValueConverter offsetTimeValueConverter()

    - #### @org.springframework.context.annotation.Bean ValueConverter periodValueConverter()

    - #### @org.springframework.context.annotation.Bean FormattedValueConverter zonedDateTimeConverter()

    - #### @org.springframework.context.annotation.Bean TypedStructuredBindingEditor zonedDateTimeStructuredBindingEditor()

    - #### @org.springframework.context.annotation.Bean ValueConverter zonedDateTimeValueConverter()